:root {
  scroll-behavior: unset;

  --primary-color: #a6a09c;

  --secondary-color: #41403c;

  --white: #ffffff;

  --black: #000000;

  --border-radius: 48px;

  --font-family-primary: "Barlow", sans-serif;

  --font-family-secondary: "Allison", sans-serif;

  --font-family-tertiary: "BarlowCondensed", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */
html {
  /* 1 */
  -ms-text-size-adjust: 100%;
  /* 2 */
  -webkit-text-size-adjust: 100%;
}

body {
  height: 100%;
  /* Allows you to scroll below the viewport; default value is visible */
  overflow-x: hidden;
  overflow-y: scroll;
  /* To smooth any scrolling behavior */
  -webkit-overflow-scrolling: touch;
}

body,
html {
  padding: 0;
  margin: 0;
  color: var(--white);
  background: var(--primary);
  font-size: 20px;
  line-height: 1.4;
  font-family: var(--font-family-primary);
  font-weight: normal;
  font-style: normal;
  box-sizing: border-box;
  width: 100%;
  min-height: 100%;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  overflow-wrap: break-word;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

html input[type="button"],
input[type="reset"],
input[type="submit"] {
  cursor: pointer;
  -webkit-appearance: button;
}

p {
  font-size: 16px;
  font-family: var(--font-family-primary);
  color: var(--white);
  line-height: 126%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-family-primary);
  color: var(--white);
  font-weight: normal;
  font-style: normal;
  line-height: normal;
  -ms-word-wrap: break-word;
  word-wrap: break-word;
}

h1 {
  font-size: 100px;
  line-height: 106%;
}

h2 {
  font-size: 45px;
  line-height: 126%;
}

h3 {
  font-size: 35px;
}

h4 {
  font-size: 25px;
}

h5 {
  font-size: 20px;
}

h6 {
  font-size: 16px;
}

@media (max-width: 991px) {
  h1 {
    font-size: 50px;
  }

  h2 {
    font-size: 25px;
  }

  h3 {
    font-size: 20px;
  }

  h4 {
    font-size: 18px;
  }

  h5 {
    font-size: 16px;
  }

  h6 {
    font-size: 14px;
  }
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  font-style: inherit;
  line-height: inherit;
  letter-spacing: inherit;
  text-transform: inherit;
  color: inherit;
}

a {
  font-family: var(--font-family-primary);
  color: var(--link-color);
  text-decoration: none;
  -webkit-transition: color 0.3s ease;
  -o-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

a:hover {
  color: var(--link-hover-color);
}

a,
a div,
a span,
button,
button div,
button span,
input,
textarea,
.touch-action {
  -ms-touch-action: manipulation;
  touch-action: manipulation; /*disable the delay of click events caused by support for the double-tap to zoom gesture. */
}

button {
  border: 0;
  font-family: inherit;
  font-style: inherit;
  font-variant: inherit;
  line-height: 1;
  text-transform: none;
  cursor: pointer;
  -webkit-appearance: button;
}

a[disabled],
button[disabled],
html input[disabled] {
  cursor: default;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
  padding: 0;
  border: 0;
}

input[type="checkbox"],
input[type="radio"] {
  padding: 0;
  box-sizing: border-box;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  -moz-appearance: none;
  height: auto;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}

/*Force Hand Cursor over Clickable Items*/
a[href],
input[type="submit"],
input[type="image"],
label[for],
select,
button,
.pointer,
.clickable,
.tappable {
  cursor: pointer;
}

/*Helpers*/
.container-em,
.em-container {
  position: relative;
  max-width: 1640px;
}

.em-button {
  font-family: var(--font-family-tertiary), sans-serif;
  font-size: 24px;
  line-height: 28px;
  letter-spacing: 2.4px;
  text-transform: uppercase;
  padding: 15px 35px;
  box-shadow: 3px 5px 12px #00000050;
  border-radius: var(--border-radius);
}

.em-button--top {
  position: fixed;
  top: 0;
  right: 0;
  margin: 0;
  z-index: 1030;
}
/*/Helpers*/

/* START - Hero Section */
.hero-section {
  width: 100%;
  min-height: 100vh;
  position: relative;
  padding: 120px 0;
}

.background-video {
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.book-button {
  color: var(--secondary-color);
  background-color: var(--white);
  margin: 40px 30px 0 0;
  border-radius: var(--border-radius);
}

.navbar-container nav {
  max-width: 670px;
  width: 100%;
  text-align: center;
  background-color: var(--black);
  opacity: 0.7;
}

.hero-logo img {
  width: 290px;
  padding: 35px 0;
  object-fit: contain;
}

.navbar-items {
  list-style: none;
  display: block;
  font-family: "Barlow", sans-serif;
  font-weight: normal;
  font-variant: normal;
  font-size: 28px;
  line-height: 54px;
  color: var(--white);
  text-transform: uppercase;
  opacity: 1;
}

.navbar-items a {
  display: block;
  text-decoration: none;
  color: var(--white);
}

.offcanvas .navbar-nav {
  --bs-nav-link-color: var(--white);
}

.offcanvas .navbar-item {
  font-size: 28px;
  line-height: 48px;
}

.offcanvas .switches-container {
  margin: auto 0 0;
}

.offcanvas-body {
  display: flex;
  flex-direction: column;
  min-width: 0;
}

.switches-container {
  max-width: 360px;
  width: 100%;
  position: relative;
  display: flex;
  padding: 0;
  background: transparent;
  border: 2px solid var(--primary-color);
  border-radius: var(--border-radius);
  margin: 0 auto 25px auto;
  font-size: 21px;
  font-weight: bold;
  color: var(--white);
  text-transform: uppercase;
}

.switches-container input {
  visibility: hidden;
  position: absolute;
  top: 0;
}

.switches-container label {
  display: block;
  width: 50%;
  margin: 0;
  text-align: center;
  cursor: pointer;
  padding: 6px 10px;
}

.switch-wrapper {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 50%;
  z-index: 3;
  transition: transform 0.5s cubic-bezier(0.77, 0, 0.175, 1);
}

/* switch box highlighter */
.switch {
  border-radius: 32px;
  background-color: var(--primary-color);
  height: 100%;
}

/* switch box labels
  - default setup
  - toggle afterwards based on radio:checked status 
*/
.switch div {
  width: 100%;
  text-align: center;
  opacity: 0;
  padding: 6px 10px;
  display: block;
  color: var(--white);
  transition: opacity 0.2s cubic-bezier(0.77, 0, 0.175, 1) 0.125s;
  will-change: opacity;
  position: absolute;
  top: 0;
  left: 0;
}

/* slide the switch box from right to left */
.switches-container input:nth-of-type(1):checked ~ .switch-wrapper {
  transform: translateX(0%);
}

/* slide the switch box from left to right */
.switches-container input:nth-of-type(2):checked ~ .switch-wrapper {
  transform: translateX(100%);
}

/* toggle the switch box labels - first checkbox:checked - show first switch div */
.switches-container
  input:nth-of-type(1):checked
  ~ .switch-wrapper
  .switch
  div:nth-of-type(1) {
  opacity: 1;
}

/* toggle the switch box labels - second checkbox:checked - show second switch div */
.switches-container
  input:nth-of-type(2):checked
  ~ .switch-wrapper
  .switch
  div:nth-of-type(2) {
  opacity: 1;
}

.offcanvas {
  background-color: var(--secondary-color) !important;
  align-content: center;
}

.em-toggle {
  --bs-navbar-color: var(--white);
  --bs-navbar-toggler-border-color: var(--white);
  --bs-navbar-toggler-icon-bg: url("data:image/svg+xml;utf8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
  --bs-navbar-toggler-padding-y: 3px;
  --bs-navbar-toggler-padding-x: 8px;
}

.em-mobile-navbar {
  transition: background-color 0.2s cubic-bezier(0.77, 0, 0.175, 1) 0.125s;
}

.didScroll .em-mobile-navbar {
  background-color: rgba(65, 64, 60, 0.75);
}

@media (max-width: 991px) {
  .hero-logo img {
    width: 180px;
  }

  .book-button {
    font-size: 16px;
    line-height: 120%;
    padding: 10px 16px;
    margin: 0;
  }

  .info-button {
    font-size: 18px;
    line-height: 120%;
    padding: 10px 16px;
    margin: 0;
  }
}

@media (max-width: 575px) {
  .navbar-brand img {
    height: 65px !important;
    width: 65px !important;
  }
}

.book-button:hover {
  background-color: var(--primary-color);
  color: var(--white);
}

/* END - Hero Section *

/* START - Testimonials */
.chalet-section {
  margin: 0 auto;
  padding: 60px 0 60px 0;
  background-color: var(--secondary-color);
}

.title {
  font-family: var(--font-family-secondary);
  font-size: 150px;
  line-height: 0.8;
  color: var(--primary-color);
}

.subtitle {
  font-weight: bold;
  font-size: 30px;
  line-height: 28px;
  padding-bottom: 35px;
}

.description {
  max-width: 750px;
  font-size: 24px;
  line-height: 28px;
  display: inline-block;
  margin-bottom: 32px;
}

@media (min-width: 992px) {
  .chalet-section {
    padding: 185px 0 80px 0;
  }
}

/* END - Testimonials */

/* Start - Gallery-Section */
.gallery-section {
  background-color: var(--secondary-color);
  padding-bottom: 60px;
}

.gallery-swiper .swiper-img {
  width: 100%;
  display: block;
  max-width: 100%;
  height: auto;
  object-fit: cover;
  image-rendering: -webkit-optimize-contrast;
  image-rendering: -moz-crisp-edges;
  image-rendering: crisp-edges;
}

.gallery-swiper .swiper-slide {
  position: relative;
}

.gallery-swiper .swiper-slide:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(65, 64, 60, 0.85);
  transition: background-color 0.2s cubic-bezier(0.77, 0, 0.175, 1) 0.125s;
}

.gallery-swiper .swiper-slide.swiper-slide-active:after {
  background-color: rgba(65, 64, 60, 0);
}

.gallery-button {
  background-color: var(--primary-color);
  color: var(--white);
  margin-bottom: 130px;
}

@media (min-width: 992px) {
  .gallery-section {
    padding-bottom: 120px;
  }
}

/* END - Gallery-Section */

/* Start - Delight-Section */
.delight-section {
  background-color: var(--primary-color);
  padding: 60px 0;
  /*background-image: url("../img/restaurant-wallpaper.jpg");*/
  /*background-repeat: no-repeat;*/
  /*background-position: 0 30%;*/
  /*background-size: 40% 40%;*/
}

.delight-container-background {
  position: relative;
  width: 100%;
  height: auto;
  top: 0;
  left: 0;
  display: block;
  object-fit: cover;
  object-position: center;
}

.info-background {
  background-color: #fff;
  height: 100%;
  width: 100%;
  position: absolute;
  max-width: 1365px;
  left: -76px;
}

.delight-info {
  background-color: var(--white);
  /* padding: 110px 280px 0 190px; */
  padding: 36px;
  position: relative;
  z-index: 1;
  text-align: center;
}

.delight-info .subtitle {
  color: var(--black);
}

.delight-info .description {
  display: block;
  max-width: 900px;
  color: var(--black);
  font-size: 20px;
  line-height: 29px;
  padding-bottom: 50px;
}

.food-image {
  position: relative;
  max-width: 480px;
  width: 100%;
  z-index: 1;
  object-fit: cover;
  box-shadow: 10px 15px 25px #00000065;
}

.food-image-container {
  z-index: 1;
}

.tea-image {
  position: relative;
  width: 100%;
  max-width: 640px;
  object-fit: cover;
  box-shadow: 10px 15px 25px #00000067;
}

.delight-placeholder {
  position: relative;
  z-index: 1;
}

.tea-image-container {
  position: relative;
  z-index: 2;
}

@media (min-width: 576px) {
}
@media (min-width: 768px) {
}
@media (min-width: 992px) {
  .delight-container-background {
    position: absolute;
    max-width: 100%;
    width: auto;
    height: 730px;
    object-fit: cover;
    object-position: center;
    padding: 0;
    margin: 0;
    top: 142px;
    left: 0;
  }

  .delight-info {
    text-align: left;
    padding: 110px 36px 110px 72px;
  }

  .tea-image-container {
    transform: translateY(55px);
  }

  .tea-image---left {
    transform: translate3d(24px, 55px, 5px);
  }
}
@media (min-width: 1200px) {
  .delight-section {
    padding: 225px 0 140px;
  }

  .delight-info {
    padding: 110px 24px 120px 190px;
  }
}

@media (min-width: 1400px) {
}

/* END - Delight-Section */

/* START - Info Section */
.info-section {
  margin: 0 auto;
  padding: 185px 0 80px 0;
  background-color: var(--secondary-color);
}

.info-button {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
  color: var(--white);
}

.info-button:hover {
  background-color: var(--white);
  border-color: var(--white);
  color: var(--secondary-color);
}

.info-button:active {
  background-color: var(--white);
  border-color: var(--white);
  color: var(--secondary-color);
}

@media (max-width: 767px) {
  .info-section {
    padding: 60px 0 60px 0;
  }
}

/*END - Info Section */

/* START - Facilities Section */
.facilities-section {
  background-color: var(--secondary-color);
  /*padding: 83px 0;*/
}

.em-figure {
  margin: 0;
  width: 100%;
  height: 100%;
  max-height: 830px;
  position: relative;
  overflow: hidden;
  background: #41403c;
  text-align: center;
  cursor: pointer;
}

.em-figure figcaption {
  padding: 1em;
  color: #fff;
  text-transform: uppercase;
  font-size: 1.25em;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.em-figure figcaption::before,
.em-figure figcaption::after {
  pointer-events: none;
}

.em-figure figcaption,
.em-figure figcaption > a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.em-figure figcaption > a {
  z-index: 1000;
  text-indent: 200%;
  white-space: nowrap;
  font-size: 0;
  opacity: 0;
}

.em-figure img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.facilities-section .figure-title {
  font-family: "Barlow Condensed", sans-serif;
  font-weight: bold;
  font-size: 36px;
  letter-spacing: 4px;
  word-wrap: break-word;
}

/*---------------*/
/***** Lily *****/
/*---------------*/

figure.effect-lily img {
  max-width: none;
  width: -webkit-calc(100% + 50px);
  width: calc(100% + 50px);
  opacity: 0.7;
  -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
  transition: opacity 0.35s, transform 0.35s;
  -webkit-transform: translate3d(-40px, 0, 0);
  transform: translate3d(-40px, 0, 0);
}

figure.effect-lily figcaption {
  text-align: left;
}

figure.effect-lily figcaption > div {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 1em;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

figure.effect-lily h2,
figure.effect-lily p {
  -webkit-transform: translate3d(0, 40px, 0);
  transform: translate3d(0, 40px, 0);
}

figure.effect-lily h2 {
  -webkit-transition: -webkit-transform 0.35s;
  transition: transform 0.35s;
}

figure.effect-lily p {
  color: rgba(255, 255, 255, 0.8);
  opacity: 0;
  -webkit-transition: opacity 0.2s, -webkit-transform 0.35s;
  transition: opacity 0.2s, transform 0.35s;
}

figure.effect-lily:hover img,
figure.effect-lily:hover p {
  opacity: 1;
}

figure.effect-lily:hover img,
figure.effect-lily:hover h2,
figure.effect-lily:hover p {
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

figure.effect-lily:hover p {
  -webkit-transition-delay: 0.05s;
  transition-delay: 0.05s;
  -webkit-transition-duration: 0.35s;
  transition-duration: 0.35s;
}

@media (max-width: 1399px) {
  .facilities-section .figure-title {
    font-size: 30px;
  }

  .em-figure {
    height: 700px;
  }
}

@media (max-width: 1199px) {
  .facilities-section .figure-title {
    font-size: 26px;
  }

  .em-figure {
    height: 620px;
  }
}

@media (max-width: 991px) {
  .em-figure {
    height: 560px;
  }
}

@media (max-width: 575px) {
  .em-figure {
    height: 420px;
  }

  .facilities-section .figure-title {
    font-size: 24px;
  }
}

/*END - Facilities Section */

/*START - Discover Section */
.discover-section {
  padding-top: 158px;
  padding-bottom: 158px;
}

.discover-section .subtitle {
  color: var(--black);
  margin-left: 70px;
}

.discover-section .description {
  color: var(--black);
  font-size: 20px;
  line-height: 28px;
}

.video-info {
  max-width: 535px;
  width: 100%;
}

.video-swiper .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
}

.video-swiper .swiper-slide {
  position: relative;
  height: 533px;
}

.video-swiper .swiper-slide:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.71);
  transition: background-color 0.2s cubic-bezier(0.77, 0, 0.175, 1) 0.125s;
}

.video-swiper .swiper-slide.swiper-slide-active:after {
  background-color: rgba(65, 64, 60, 0);
}

.video-swiper .img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (max-width: 991px) {
  .discover-section {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  .video-info {
    max-width: 100%;
    width: 100%;
  }
}
/*END - Discover Section */

/*START - Footer Section */

.footer-section {
  padding: 70px 0 0;
  background-size: contain;
  background-image: url("../img/Karte.png");
  background-position: right center;
  background-color: var(--secondary-color);
  background-repeat: no-repeat;
  background-clip: padding-box;
}

.footer-container {
  margin: 0 auto;
}

.footer-logo {
  width: 290px;
  object-fit: contain;
}

.footer-links-container {
  margin-top: 220px;
}

.contact-container {
  padding-bottom: 70px;
}

.phone-number-link {
  font-family: var(--font-family-tertiary), sans-serif;
  font-weight: normal;
  font-size: 45px;
  line-height: 30px;
  color: var(--primary-color);
  padding-bottom: 5px;
}

.email-address {
  font-size: 24px;
  line-height: 30px;
  text-decoration: underline;
}

.vertical-list {
  font-size: 24px;
  line-height: 30px;
  text-decoration: none;
  list-style: none;
  padding-bottom: 70px;
}

.horizontal-list {
  list-style: none;
}

.horizontal-list li {
  padding: 0 10px 0 0;
  text-decoration: underline;
  font-size: 20px;
  line-height: 30px;
}

@media (max-width: 767px) {
  .video-swiper .swiper-slide:after {
    content: none;
  }

  .gallery-swiper .swiper-slide:after {
    content: none;
  }

  .footer-logo {
    width: 200px;
  }

  .phone-number-link {
    font-size: 35px;
  }

  .email-address {
    font-size: 18px;
  }

  .vertical-list {
    font-size: 18px;
  }

  .horizontal-list li {
    font-size: 15px;
  }
}
/* END - Footer Section */
@media (max-width: 991px) {
  .title {
    font-size: 72px;
  }

  .subtitle {
    font-size: 20px;
  }

  .description,
  .delight-info .description {
    font-size: 16px;
  }

  .discover-section .subtitle {
    margin-left: 0;
  }
}
